Edited at

git-svn の妙な Warning

More than 1 year has passed since last update.

git-svn を使っているとき、以下のような Warning が出た。

W: Refspec glob conflict

このとき .git/config ファイルを見てみると、以下のようになっていた。

[svn-remote "svn"]

branches = branches/*:refs/remotes/*
tags = tags/*:refs/remotes/tags/*
branches = branches/*:refs/remotes/*
tags = tags/*:refs/remotes/tags/*

なぜか同じ内容が2回書かれている。重複行を削除すると、Warning がなくなった。たぶん、問題ないだろう。